#!/usr/local/bin/ruby
#
# file name: load_database_cgi_v0.00.rb
#
#   cgi for load data from database server.
#
#   0.00 2013-04-01 S.Yamane
#   1.00 2013-11-08 S.Yamane added require 'kconv' & xml_data.toutf8
#
#
######################################################################
require 'tempfile'
require 'fileutils'
require 'cgi'
require 'rexml/document'
require 'time'
require 'kconv'		# 2013-11-08
require '../lib/pharma_db_lib'
#require 'lib/pharma_postgres_lib'


#
#  xml_data のみを検索する。
#
def select_data(h_key_datas,table_name)

  d_sel_item = []
  d_where_item = ["0=0"]
  h_key_datas.each do |key,value|
    ##d_sel_item << key
    d_where_item << " #{key} = '#{value}'"
  end
  d_sel_item << "xml_data"
  sel_item = d_sel_item.join(",")
  where_item = d_where_item.join(" and ")

  sql_cmd =<<-SQL 
    select #{sel_item}
    from #{table_name}
    where #{where_item}

  SQL

  	STDERR.print "sql_cmd=\n", sql_cmd,"\n"

  datas = PharmaDbLib.exec_sql(sql_cmd)
  # key_datas,xml_datas
  	STDERR.print "\n------------\n"
  	STDERR.print "size =",datas.size,"\n"
  
   	for dds in datas
		STDERR.print  "size=",dds.size," dds=",dds,"\n"
		STDERR.print  "class=",dds.class,"\n"
	end

  	STDERR.print "------------\n"
  
  xml_data = "<nodata></nodata>"
  if ( datas.size > 0 ) then
    xml_data = datas[0]
  end


    #xml_data = xml_data.toutf8	# 2013-11-08

  	STDERR.print "xml size =",xml_data.size,"\n"
  return xml_data
end
#
#########################################################
#
# main
#
#  table_name=test_lot key_datas=machine=test-03,date=2013/04/03
#
#########################################################

cgi = CGI.new

PharmaDbLib.init();

table_name = cgi['table_name']
key_datas = cgi['key_datas']
d_key_datas = key_datas.split(",")	# machine=aaa,data=2012/12/12

h_key_datas = Hash.new()
for dds in d_key_datas
  key,val = dds.split(/=/)
  h_key_datas[key] = val 
end

#
xml_data = select_data(h_key_datas,table_name)

#
#
#

print cgi.header("content-type"=>"text/html","charset"=>"UTF-8")
print xml_data,"\n"
#
