#!/usr/local/bin/ruby
#
# file name: usr_login.cgi
#
#   cgi for WebPmSheet usr login table.
#    
#   
#
#   0.00 2013-09-26 S.Yamane created
#
#
######################################################################
require 'tempfile'
require 'fileutils'
require 'cgi'
require 'cgi/session'
require 'rexml/document'
require 'time'
require '../lib/pharma_db_lib'

Login_table = 'login'

# not useed
#
#  database name: login
#    for SQL injection.
#
def double_escape(str)
  str = str.gsub(/['"\\]/) {|ch| ch + ch }
  return str
end
#
#
def check_login(cgi, uid,password )

  flag = false
  uname = nil

  #change_db_cmd = change_db()
  
  change_db_cmd = ""

  uid = double_escape(uid)
  pasword = double_escape(password)

  sql_cmd =<<-SQL 
    select uname,perm_level
    from #{Login_table}
    where uid = '#{uid}'
    and password = '#{password}'
    ;
  SQL

  sql_cmd = change_db_cmd + sql_cmd
  datas = PharmaDbLib.exec_sql(sql_cmd)

  uname,perm_level = datas[0]
  uname.strip!() if uname != nil

  # check uid and password
  #
  if ( uname == nil || uname == "") then
    flag = false
    msg = "uid または、password が異なります。"
    return flag,msg
  end

  # check exiration_date
  #
  
  flag = true
  msg = "#{uname} 様 認証しました。"
  return flag,msg,uname,perm_level

end
#
#
#
#
#########################################################
#
# main
#
#  uid=13001 password=yamane
#
#########################################################


PharmaDbLib.init();

cgi = CGI.new

uid = cgi['uid']
password = cgi['password']


flag,msg,uname,perm_level = check_login(cgi, uid, password)

print cgi.header("content-type"=>"text/html","charset"=>"UTF-8")
print flag,":",msg,":",uname,":",perm_level,"\n"
#
#
#
