/*
 **
 **   file name: pharma-sc_lib_v0.04.js
 **
 **   0.00 created s.yamane
 **      データの入っていないinput text は、xmlに出力しない。
 **   0.01 changed s.yamane
 **      dbkey="dbkey"
 **   0.02 2013-06-27 s.yamane changged load_xml
 **   0.03 2013-07-01 s.yamane added textarea
 **   0.04 2013-12-09 s.yamane added sum
 */
//
//	<input type="text" id="xxx" dbkey="dbkey" .... >
//	 or
//	<input type="text" id="xxx"  .... >
//
//  <input type="text" name="database_table" value="test_lot"
//  	 readonly="readonly" maxlength = "20" /> 
//
//   added 2013-12-09
//    ce_formula_sum(eq_id, d_id );
//    ce_formula_average(eq_id, d_id );
//    ce_formula_calc(eq_id, d_id, facter); 
//    ce_formula_round(eq_id, d_id , facter);
//
function ce_formula_sum(eq_id, d_id){

  $(d_id).live('blur keypress change', function(){
    var sum=0;
    var d_d_id = d_id.split(",");
    for(i=0; i< d_d_id.length ; i++){
      var count = $(d_d_id[i]).val();
      count = count == ""? 0 : count; 
      sum += parseFloat(count);
    }
    $(eq_id).text(sum);
  });
}
function ce_formula_average(eq_id, d_id){

  $(d_id).live('blur keypress change', function(){
    var sum=0;
    var d_d_id = d_id.split(",");
    var d_length = d_d_id.length;
    for(i=0; i< d_d_id.length ; i++){
      var count = $(d_d_id[i]).val();
      count = count == ""? 0 : count; 
      sum += parseFloat(count);
    }
    var average = sum/d_length;
    $(eq_id).text(average);
  });
}
// of:=[.D3]+[.D4] of:=[.D3]*[.D4]
//  eq_id = D0 d_id = D1,D2  factor="*","+""-","/"
function ce_formula_2d(eq_id, d_id, calc_mode ){

  $(d_id).live('blur keypress change', function(){
    var sum=0;
    var d_d_id = d_id.split(",");  // D3,D4
    var d_length = d_d_id.length;

    if ( d_d_id.length != 2 ) {
      return;
    }
    var a = $(d_d_id[0]).val();
    var b = $(d_d_id[1]).val();

    //a = a == ""? 0 : a; 
    //b = b == ""? 0 : b; 

    if ( calc_mode == "*" ) {
          var sum = a * b; 
    } else if ( calc_mode == "+" ) {
          var sum = a + b; 
    } else if ( calc_mode == "-" ) {
          var sum = a - b; 
    //} else if ( factor == "/" ) {
    //      var sum = a / b; 
    }

    //  sum = parseFloat(sum);
    $(eq_id).text(sum);
  });
}
//
//# of:=[.D3]*0.05
function ce_formula_calc(eq_id, d_id, calc_mode, factor ){

  $(d_id).live('blur keypress change', function(){
    var sum=0;

    var a = d_id.val();
    if ( calc_mode == "*" ){
          var sum = a * factor; 
    }else if ( calc_mode == "+" ){
          var sum = a + factor; 
    }else if ( calc_mode == "-" ){
          var sum = a - factor; 
    }else if ( factor == "/" ){
          var sum = a / factor; 
    }
    $(eq_id).text(sum);

  });
}

//# of:=[.D2]
function ce_formula_eq(eq_id, d_id){

  $(d_id).live('blur keypress change', function(){

    var a = d_id.val();
    $(eq_id).text(a);

  });
}

//
//
//
function xml_database_table(){
  var all_input =  $(':input:text');
  var database_table;
  for(var idx = 0; idx < all_input.length; idx++ ) {
    var id = all_input[idx];
    //var flag = $(id).attr('name');
    //if ( flag == "database_table" ){
    
    var flag = $(id).attr('db_table');
    if ( flag != undefined ){
       var database_table = $(id).val();
       break;
    }
  }
  return database_table;

}

//
//  check database key
//
function check_db_key(){
  var flag = true;
  var err_mes;
  //  get id < input type="text" dbkey="dbkey" ...>
  var key_input =  $(':input[type="text"][dbkey="dbkey"]');
  for(var idx = 0; idx < key_input.length; idx++ ) {
    var id = key_input[idx];
    var key_data = $(id).val();
    if ( key_data.length == 0 ) {
       var flag = false;
       var err_mes = "Error!!: " + $(id).attr('name') + " に データをセットして下さい"
    }
  }
  return [flag,err_mes];
}  // endof check_db_key()
//
//key_datas = "&key_datas=machine=test-03,date=2013/04/03"; // 仮
function get_db_key(){
  var d_key_datas = [];
  //  get id < input type="text" dbkey="dbkey" ...>
  var key_input =  $(':input[type="text"][dbkey="dbkey"]');
  for(var idx = 0; idx < key_input.length; idx++ ) {
    var id = key_input[idx];
    var key_data = $(id).val();
    var name     = $(id).attr('name');
    d_key_datas.push( name + "=" + key_data );
  }
  // select
  //var key_select =  $('select.[dbkey="dbkey"]');
  var key_select =  $('select');
  for(var idx = 0; idx < key_select.length; idx++ ) {
    var id = key_select[idx];
    var flag = $(id).attr('dbkey');
  	//alert ("flag="+flag);
    var name     = $(id).attr('name');
    var key_data = $(id).val();
    d_key_datas.push( name + "=" + key_data );
  }

  var key_datas = "&key_datas=" + d_key_datas.join(",");
  return key_datas

}  // endof get_db_key()
//
//
function xml_textarea(){
  var all_textarea =  $('textarea');
  for(var idx = 0; idx < all_textarea.length; idx++ ) {
    var id = all_textarea[idx];
    //
    // 内容がなかったらXMLデータを作成しない。
    var vv = $(id).val();
    if ( vv.length == 0 ) {
       continue;
    }
    var vv = vv.replace(/[\n\r]/g,"\\n");
    var xml_key = $(id).attr('name');
    var dd = "<" + xml_key;
    var database_key = $(id).attr('dbkey');
    if ( database_key != null ) {
        var dd = dd + " database=\"key\"";
    }

    var dd = dd + ">" + vv + "</"+xml_key+">";
    
    var xml_data = xml_data + dd;
  }
  return xml_data;

}
//
function xml_text(){
  var all_input =  $(':input:text');

  var xml_data = '';
  for(var idx = 0; idx < all_input.length; idx++ ) {
    var id = all_input[idx];
    //var type = $(id).attr('type');
    //
    // 内容がなかったらXMLデータを作成しない。
    var vv = $(id).val();
    if ( vv.length == 0 ) {
       continue;
    }
    var xml_key = $(id).attr('name');
    var dd = "<" + xml_key;

//    var key_flag_id = $(id).parent(); // <"key...">

    // check  for
    //   <machine name="database_key" >test-01</machine>
//    var key_flag = $(key_flag_id).attr('name');

    //var key_flag_s = "xx"
    //
//    if ( key_flag != null ) {

//      var key_flag_s = key_flag.toString();
    
//      if (  key_flag_s.match(/database_key/i) ) { 
//        var dd = dd + " database=\"key\"";
//      }
//    }
    var database_key = $(id).attr('dbkey');
    if ( database_key != null ) {
        var dd = dd + " database=\"key\"";
    }

    var dd = dd + ">" + vv + "</"+xml_key+">";
    
    var xml_data = xml_data + dd;
  }
  return xml_data;
}

//
//  check された radio boxのデータを取り出す。
//
function xml_radio(){
  var xml_data = '';
  var h_radio = {};

  $('input:radio:checked').each(function() {
    var name = $(this).attr('name');
    //var vv = $(this).prop('checked').val();
    var vv = $(this).val();
    h_radio[name] = vv;
  });

  for ( var xml_key in h_radio ){
    //alert(h_radio[xml_key]);
    var vv = h_radio[xml_key];
    var dd = "<"+xml_key+">" + vv + "</"+xml_key+">";
    var xml_data = xml_data + dd;
  }
  	//alert(xml_data);
  return xml_data;
}

//
//
//  check された check boxのデータを取り出す。
//
function xml_checkbox(){
  var xml_data = '';

  var h_check_box = {};

  var h_name = {};
  $(':checkbox:checked').each(function() {
     //$(this).prop('checked', false);
    var name = $(this).attr('name');
    var vv = $(this).val();
    h_name[name] = 1;
  });


  for ( var name in h_name ){
    var att_name = ':checkbox[name=' + '"' + name + '"' + ']';
    var d_flag = [];
    $(att_name).each(function() {
      var vv = $(this).val();
      var flag = $(this).get(0).checked;	// true or false
      d_flag.push( vv + "=" + flag);
    });
    h_check_box[name] = d_flag.join(",");
  }

//  var flag = $(id).get(0).checked;	// true or false

 // var aa = vv;
//    var id = all_check_box[idx];
//    var name = $(id).attr("name");	// name of checkbox
//    var vv = $(id).attr("value");	//         value
    ////var flag = $(id).attr("checked"); // xx
//    var flag = $(id).get(0).checked;	// true or false
//    if ( idx == 0 ) {
//      h_check_box[name] = vv + "=" + flag;
//    } else {
//      h_check_box[name] +=  "," + vv + "=" + flag;
//    }
//  }
  //
  
  for ( var xml_key in h_check_box ) {
    var vv = h_check_box[xml_key];
    var dd = "<"+xml_key+">" + vv + "</"+xml_key+">";
    var xml_data = xml_data + dd;
  }
  	//alert(xml_data);
  return xml_data;
}
//
function temp_xml_checkbox(){
  var xml_data = '';
  var all_check_box =  $(':input:checkbox');

  var h_check_box = {};
  for(var idx = 0; idx < all_check_box.length; idx++ ) {
    var id = all_check_box[idx];
    var name = $(id).attr("name");	// name of checkbox
    var vv = $(id).attr("value");	//         value
    ////var flag = $(id).attr("checked"); // xx
    var flag = $(id).get(0).checked;	// true or false
    if ( idx == 0 ) {
      h_check_box[name] = vv + "=" + flag;
    } else {
      h_check_box[name] +=  "," + vv + "=" + flag;
    }
  }
  //
  
  for ( var xml_key in h_check_box ) {
    var vv = h_check_box[xml_key];
    var dd = "<"+xml_key+">" + vv + "</"+xml_key+">";
    var xml_data = xml_data + dd;
  }
  	//alert(xml_data);
  return xml_data;
}
//
function xml_listbox(){
  var xml_data = '';
  var all_list_box =  $('select');
  var h_list_box = {};
  var h_list_box_db_key = {};
  for(var idx = 0; idx < all_list_box.length; idx++ ) {
    var id = all_list_box[idx];
    var name = $(id).attr("name");	// name of selectbox
    var vv = $(id).val();	//         value
    h_list_box[name] = vv;

    var database_key = $(id).attr('dbkey');
    h_list_box_db_key[name] = "";
    if ( database_key != null ) {
        h_list_box_db_key[name] = " database=\"key\"";
    }
  }
  //
  for ( var xml_key in h_list_box ) {
    var vv = h_list_box[xml_key];
    var dbkey_flag =  h_list_box_db_key[xml_key];
    var dd = "<"+xml_key + dbkey_flag + ">" + vv + "</"+xml_key+">";
    var xml_data = xml_data + dd;
  }
  
  return xml_data;
} // endof xml_listbox
  //
  //
//
// 
//
function save_xml( cgi_server, table, xml_data ){
  //
  // xml_data=<....>&table=table_name
  //
  var cgi_data = "xml_data=" + xml_data;
  var cgi_data = cgi_data + "&table=" + table;
  //
  $.ajax({ 
    url: cgi_server,
    contentType: 'xml',
    //dataType: 'xml',
    dataType: 'text',
    data: cgi_data,
    timeout: 5000,
    success: function(data){
      //
      //$('#xml_data_9999').append("<pre> return data= </pre>");
      //$('#xml_data_9999').append("<pre>" + data + "</pre>");
	  var datas = data.split("\n");
	  var flag = datas.shift();
	  if ( flag == "true" ){
      		alert( "saved xml_data");
	  }else{
		  var msg = datas.shift();
                alert("save error!! "+ msg);
		
	  }
    },
    error: function(jqXHR, statusText, error){
       alert (" save_xml  --- Error : server error!!"+ jqXHR.status+"err"+error)
    }
  }); //End of ajax
}  //End of function save_xml
//
//-------------------------------------------------------
//
//
function xml_to_input(xml_data){

  var c_xml_data = $(xml_data).find('pharma-sc').children();

	       //$("#trace").html("");

  $(c_xml_data).each( function (){
		     
     var nodename = this.nodeName;
     var text = $(this).text();

     // check textarea
     var att_name = 'textarea[name=' + '"' + nodename + '"' + ']';
     var type = $(att_name).attr('type');
     if ( type == "textarea" ){
        var text = text.replace(/\\n/g,"\n");
        $(att_name).val([text]);
	return;
     }
     // 

     var att_name = 'input[name=' + '"' + nodename + '"' + ']';
     var type = $(att_name).attr('type');

     switch (type) {
        // checkboxの場合、element毎にtrue,false を設定する。
	case "checkbox":
	  	//alert("checkbox" + text);
	  var datas = text.split(",");
	  for (var i= 0 ; i < datas.length; i++) {
	    var dd = datas[i]; 
	    var dds = dd.split("=");
	    var value = dds[0];
	    var flag = dds[1];

	    var checkbox_att_name = att_name + '[value=' + '"' + value + '"' + ']';

	      if ( flag == "true" ) {
                $(checkbox_att_name).prop('checked',true);
	      }else{
                $(checkbox_att_name).prop('checked',false);
	      }
	  }
	  break;

	case undefined:	//  for listbox
	  var att_name = 'select[name=' + '"' + nodename + '"' + ']';
	  var data = $(att_name).val();
	  if ( data == undefined ) {
	    break;
	  }
          $(att_name).val([text]);
	  break;

        default:	// for text radiobox
	       //$("#trace").append(" TYPE="+ type );
          $(att_name).val([text]);
	  break;
     } // end of switch

  });  // end of each

} // endof functionxml_to_input

//
// clear input value.
//
function clear_input_data(){

   $('textarea').not('[dbkey="dbkey"]').not('[db_table]').each(function() {
     var data = $(this).val();
     if ( data.length != 0 ){
        $(this).val("");
     }
   });

   //
   // clear input text
   ////$('input[type="text"]').not('[dbkey="dbkey"]').not('[name="database_table"]').each(function() {
   $('input[type="text"]').not('[dbkey="dbkey"]').not('[db_table]').each(function() {
     var data = $(this).val();
     if ( data.length != 0 ){
        $(this).val("");
     }
   });
   //
   // clear radio button
   $('input:radio:checked').each(function() {
     $(this).prop('checked', false);
   });
   //
   // clear select button
   $(':checkbox:checked').each(function() {
     $(this).prop('checked', false);
   });
}
//
//key_datas = "&key_datas=machine=test-03,date=2013/04/03"; // 仮
//
function exec_load_ajax(cgi_server ,table ,key_datas){
  clear_input_data()

  var cgi_data = "table_name=" + table;
  var cgi_data = cgi_data + key_datas;
  // ajax
  //
  $.ajax({ 
    url: cgi_server,
    contentType: 'text',
    dataType: 'xml',
    data: cgi_data,
    timeout: 5000,
    success: function(xml_data){

      //alert( "get xml_data");
       xml_to_input( xml_data );
    },
    error: function(jqXHR, statusText, error){
       alert (" load_xml  --- Error : load error!!"+ jqXHR.status+"err"+error)
    }
  }); //End of ajax
   

}  //End of function load_xml
//***********************
//  cgi_server:
//
//***********************
//  
//<pharma-sc>
//  <machine database="key" >test-01</machine>
//  <data1>0.0001</data1>
//</pharma-sc>
//
//
function exec_save(cgi_server){
		//alert ("exec_save");
  //		
  msg = "Will you save the data?"
  msg = "saveしますか?"
  if(confirm(msg + order_id + " ok?")==false){
     return false;
  }
  //
  var flag_msg_err = check_db_key();
  var flag = flag_msg_err[0];
  var msg_err = flag_msg_err[1];
	  if ( flag == false ) {
		  alert ( msg_err );
		  return;
	  }
  var database_table = xml_database_table();
    alert( "database_table=" + database_table);

  var xml_data;
  xml_data = "<?xml version=\"1.0\" encoding=\"UTF-8\"?>";
  xml_data = xml_data + "<pharma-sc>";
  xml_data = xml_data + xml_textarea();
  xml_data = xml_data + xml_text(); 	//get xml from text inhtml.

		//alert ("xml_text=" + xml_data);
		
  xml_data = xml_data + xml_radio();	//get xml from radio in html.
  xml_data = xml_data + xml_checkbox(); //get xml from checkbox in html.
  xml_data = xml_data + xml_listbox();     //get xml from listbox in html.
  xml_data = xml_data + "</pharma-sc>";

      //$('#xml_data_9999').append("<pre>"+xml_data+"</pre>");
      
  // check..
      $('#xml_data_9999').empty();
      $('#xml_data_9999').append("save-button");
  //
  // ajax write database
  //
  save_xml( cgi_server, database_table, xml_data );

}
//
//
function exec_load(cgi_server ){

  var flag_msg_err = check_db_key();
  var flag = flag_msg_err[0];
  var msg_err = flag_msg_err[1];
  if ( flag == false ) {
    alert ( msg_err );
    return;
  }

  var key_datas = get_db_key();
  var database_table = xml_database_table();

   	alert("click load button");

  exec_load_ajax(cgi_server ,database_table ,key_datas);

} // end of exec_load


//
//  add select item from database
//
function set_list_data(id_list, select_data ){
   $.ajax({
     url: '../cgi-bin/list_data_database_cgi.cgi',
     dataType: 'text',
   //
     data: "select_data=" + select_data,
     timeout: 50000,
     success: function(data){
       var line = data.split("\n");
       for (var i = 0; i < line.length; i++ ){
         if ( line[i].length == 0 ) {continue;}
	 dds = line[i]
	 id_list.append(
	   '<option>'+ dds  + '</option>'
         );
       } // End of for
     },
     error: function(){
        alert (" set_list_data --- Error : server error!! "+select_data)
     } //End of err

   });  // End of ajax

}//End of set_list_data
